# $Revision: 1.195 $, $Date: 2012/06/16 13:10:51 $
#
# Conditional build:
%bcond_without	python		# don't build python-magic module
%bcond_without	static_libs	# don't build static libraries
%bcond_without	tests		# don't perform "make check"

Summary:	A utility for determining file types
Summary(cs.UTF-8):	Program pro zjišťování typu souborů
Summary(da.UTF-8):	Et værktøj til bestemmelse af filtyper
Summary(de.UTF-8):	Ein Befehl zur Bestimmung von Dateitypen
Summary(es.UTF-8):	Utilidad para determinar el tipo de fichero
Summary(fr.UTF-8):	Utilitaire permettant d'identifier des types de fichier
Summary(id.UTF-8):	Utility untuk menentukan tipe file
Summary(is.UTF-8):	Tól til þess að komast að tegund skráar
Summary(it.UTF-8):	Utility per determinare il tipo di file
Summary(ja.UTF-8):	ファイルの種類を判断するためのユーティリティ
Summary(ko.UTF-8):	파일 종류를 결정하는 유틸리티
Summary(nb.UTF-8):	Et verktøy for å bestemme filtyper
Summary(pl.UTF-8):	Polecenie określające rodzaj pliku
Summary(pt.UTF-8):	Um utilitário para determinar o tipo dos ficheiros
Summary(pt_BR.UTF-8):	Um utilitário para determinar tipos de arquivos
Summary(ru.UTF-8):	Утилита для определения типов файлов
Summary(sk.UTF-8):	Pomocný program pre určenie typu súboru
Summary(sl.UTF-8):	Pripomoček za ugotavljanje vrste datotek
Summary(sv.UTF-8):	Ett verktyg för att bestämma filtyper
Summary(tr.UTF-8):	Dosya türünü öğrenmek için bir araç
Summary(uk.UTF-8):	Утиліта для визначення типів файлів
Summary(zh_CN.UTF-8):	判定文件类型的工具。
Summary(zh_TW.UTF-8):	用於決定檔案類型的一個工具程式。
Name:		file
Version:	5.11
Release:	3
License:	distributable
Group:		Applications/File
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
# Source0-md5:	16a407bd66d6c7a832f3a5c0d609c27b
Source1:	http://ftp1.pld-linux.org/people/glen/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	6a45bcaefd19b94db36a1b2b7c5b806b
Source2:	%{name}-zisofs.magic
Source3:	%{name}-mscompress.magic
Source4:	%{name}-magic.mime-gen.awk
Patch0:		%{name}-sparc.patch
Patch1:		%{name}-selinux.patch
Patch2:		searchpath.patch
Patch3:		automake.patch
Patch4:		nodejs.patch
Patch5:		sticky-bit.patch
URL:		http://www.darwinsys.com/file/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.453
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%endif
Requires:	libmagic = %{version}-%{release}
Conflicts:	rpm-build < 4.4.1-9
Conflicts:	xdelta < 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is useful for finding out what type of file you are
looking at on your system. For example, if an fsck results in a file
being stored in lost+found, you can run file on it to find out if it's
safe to 'more' it or if it's a binary. It recognizes many file types,
including ELF binaries, system libraries, RPM packages, and many
different graphics formats.

%description -l cs.UTF-8
Příkaz file se používá pro identifikaci zadaného souboru podle jeho
obsahu. Je schopen identifikovat množství různých typů souborů včetně
binárních souborů ELF, systémových knihoven, RPM balíčků a různých
grafických formátů.

%description -l da.UTF-8
Programmet "file" bruges til at identificere filer baseret på indhold.
"file" kan identificere mange forskellige filtyper, inkl. ELF-filer,
systembiblioteker, RPM-pakker og billedfiler i forskellige formater.

%description -l de.UTF-8
Sie können dieses Paket verwenden, um zu bestimmen, welches Format
eine bestimmte Datei hat. Wird durch fsck eine Datei in lost+found
gespeichert, können Sie 'file' ausführen, um herauszufinden, ob Sie
sie mit 'more' einsehen können, oder ob es sich um ein Binärprogramm
handelt Das Programm erkennt u.a. ELF-Binärprogramme,
System-Libraries, RPM-Pakete und viele Grafikformate.

%description -l es.UTF-8
Este paquete es útil para descubrir que tipo de archivo estás buscando
en tu sistema. Por ejemplo, si fsck resulta un archivo que fue
almacenado en el "lost+found", tu puedes ejecutar file en él para
descubrir si es seguro leerlo con el "more" o si es un binario.
Reconoce varios tipos de archivos, incluyendo binarios ELF,
bibliotecas de sistema, paquetes RPM y varios formatos gráficos
diferentes.

%description -l fr.UTF-8
Ce paquetage sert à trouver le type du fichier que vous recherchez sur
votre système. Par exemple, si un fsck fait qu'un fichier a été stocké
dans lost+found, vous pouvez lancer file dessus pour savoir si on peut
faire un more, ou s'il s'agit d'un binaire. Il reconnaît de nombreux
types de fichiers dont les binaires ELF, les bibliothèques systèmes,
les paquetages RPM et de nombreux formats graphiques différents.

%description -l it.UTF-8
Il comando file è utilizzato per identificare il tipo di file in base
ai tipi di dati che contiene. File può identificare molti tipi di
file, tra cui i binari ELF, le librerie di sistema, i pacchetti RPM e
vari formati grafici.

%description -l ja.UTF-8
ファイルコマンドはファイルに含まれるデータの種類により個々のファイルを
見分けるために使われる。file は ELF バイナリ、システムライブラリ、 RPM
パッケージ、そして種々のグラフィックフォーマットを含む、多くの異なる
ファイルの種類を見分けることが可能である。

%description -l ko.UTF-8
파일에 저장된 자료 유형에 따라 파일을 식별하는 file 명령. File은 ELF
바이너리, 시스템 라이브러리, RPM 패키지와 다른 그래픽 유형을 포함한
여러 많은 파일 유형을 식별 가능합니다.

%description -l nb.UTF-8
Programmet "file" brukes for å identifisere filer basert på innhold.
"file" kan identifisere mange ulike filtyper, inkl. ELF-filer,
systembibliotek, RPM-pakker og bildefiler i ulike formater.

%description -l pl.UTF-8
Pakiet ten jest przydatny jeżeli chcesz rozpoznać typ plików w twoim
systemie. Na przykład jeżeli fsck zdeponuje jakieś pliki w katalogu
lost+found, możesz uruchomić file na zdeponowanym pliku i zobaczyć
jaki to jest typ pliku, jest to metoda bezpieczniejsza niż 'more', ze
względu na to, że to może być plik binarny. File potrafi rozpoznać
wiele typów plików np. binarny ELF, biblioteki systemowe, pakiety RPM
oraz wiele różnych formatów graficznych i dźwiękowych.

%description -l pt.UTF-8
O comando file é usado para identificar um ficheiro em particular de
acordo com o tipo de dados que contém. O file pode identificar vários
formatos de ficheiros, incluindo binários ELF, bibliotecas de sistema,
pacotes RPM e vários formatos gráficos diferentes.

%description -l pt_BR.UTF-8
Este pacote é útil para descobrir que tipo de arquivo você está
procurando em seu sistema. Por exemplo, se um fsck resulta em um
arquivo forem armazenado no "lost+found", você pode rodar file nele
para descobrir se é seguro lê-lo com o "more" ou se ele é um binário.
Ele reconhece vários tipos de arquivos, incluindo binários ELF,
bibliotecas de sistema, pacotes RPM e vários formatos gráficos
diferentes.

%description -l ru.UTF-8
Команда file используется для определения типа файла по данным, в нем
содержащимся. Она может определить множество разнообразных типов
файлов, включая бинарные файлы формата ELF, системные библиотеки,
пакеты RPM, различные графические форматы и много других.

%description -l sv.UTF-8
Kommandot file används för att identifera en fil vad avser vilken typ
av data filen innehåller. File kan identifiera många olika filtyper,
inklusive ELF-binärer, systembibliotek, RPM-paket och olika
grafikformat.

%description -l tr.UTF-8
file, bir dosyayı inceleyerek ne tür bir dosya olduğu konusunda size
bir fikir verebilir. Böylece uzantısından ve adından ne olduğunu
çıkaramadığınız bir dosyayı hangi yazılım ile kullanabileceğinize ya
da ne yapacağınıza karar verebilisiniz. file, temel dosya tiplerini,
çoğu grafik formatını, çalıştırılabilir dosyaları, sistem
kitaplıklarını vs. tanıyabilir.

%description -l uk.UTF-8
Команда file використовується для визначення типу файлу по даних, які
він містить. Вона може визначити велику кількість різноманітних типів
файлів, у тому числі бінарні файли формату ELF, системні бібліотеки,
пакети RPM, різноманітні графічні формати та багато інших.

%description -l zh_CN.UTF-8
file 命令用来根据文件中包含的数据类型来识别文件类型。 file
可以识别许多不同的文件类型，包括 ELF 二进制、系统 库、RPM
软件包、和不同的图形格式。

%description -l zh_TW.UTF-8
file 指令是根據檔案包含的資料類型來辨認檔案。 File
可以辨認許多不同的檔案類型， 包含 ELF binaries，系統函式庫，RPM
套件，以及不同的 圖像格式。

%package -n libmagic
Summary:	libmagic library
Summary(pl.UTF-8):	Biblioteka libmagic
Group:		Libraries

%description -n libmagic
Library of functions which operate on magic database file.

%description -n libmagic -l pl.UTF-8
Biblioteka funkcji operujących na pliku bazy danych magic.

%package -n libmagic-devel
Summary:	Header files for libmagic library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmagic
Group:		Development/Libraries
Requires:	libmagic = %{version}-%{release}

%description -n libmagic-devel
Library of functions which operate on magic database file.

This package contains the header files needed to develop programs that
use these libmagic.

%description -n libmagic-devel -l pl.UTF-8
Biblioteka funkcji operujących na pliku bazy danych magic.

Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
używających libmagic.

%package -n libmagic-static
Summary:	Static libmagic library
Summary(pl.UTF-8):	Statyczna biblioteka libmagic
Group:		Development/Libraries
Requires:	libmagic-devel = %{version}-%{release}

%description -n libmagic-static
Library of functions which operate on magic database file.

This package contains the static libmagic.

%description -n libmagic-static -l pl.UTF-8
Biblioteka funkcji operujących na pliku bazy danych magic.

Ten pakiet zawiera statyczną wersję biblioteki.

%package -n python-magic
Summary:	Python bindings for libmagic
Summary(pl.UTF-8):	Wiązania Pythona dla libmagic
Group:		Libraries/Python
Requires:	libmagic = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-magic
Python bindings for libmagic.

%description -n python-magic -l pl.UTF-8
Wiązania Pythona dla libmagic.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%if "%{cc_version}" < "3.4"
%{__sed} -i -e 's,-Wextra,,' configure.ac
%endif

cp -p %{SOURCE3} magic/Magdir/mscompress
cp -p %{SOURCE2} magic/Magdir/zisofs

rm -f magic/Magdir/{*.orig,*~}

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-fsect-man5 \
	%{!?with_static_libs:--enable-static=no}

%{__make}

%if %{with python}
cd python
%{__python} setup.py build
cd ..
%endif

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/libmagic.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libmagic.so.*.*.*) \
        $RPM_BUILD_ROOT%{_libdir}/libmagic.so

%if %{with python}
cd python
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
cd ..
%py_postclean
%endif

awk -f %{SOURCE4} < $RPM_BUILD_ROOT%{_datadir}/misc/magic > $RPM_BUILD_ROOT%{_datadir}/misc/magic.mime
ln -s misc $RPM_BUILD_ROOT%{_datadir}/file

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.file-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/file-magic4.diff

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libmagic -p /sbin/ldconfig
%postun	-n libmagic -p /sbin/ldconfig

%pretrans
# it used to be directory
if [ -d %{_datadir}/file -a ! -L %{_datadir}/file ]; then
	mv -b %{_datadir}/file{,.dir}
	ln -sn misc %{_datadir}/file
%banner -e %{name} <<EOF
Check %{_datadir}/file.dir for your own files and remove it when done.
EOF
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog COPYING README
%attr(755,root,root) %{_bindir}/file
%{_datadir}/file
%{_datadir}/misc/magic
%{_datadir}/misc/magic.mgc
%{_datadir}/misc/magic.mime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/magic
%{_mandir}/man1/file.1*
%{_mandir}/man5/magic.5*
%lang(de) %{_mandir}/de/man[15]/*
%lang(es) %{_mandir}/es/man[15]/*
%lang(fr) %{_mandir}/fr/man[15]/*
%lang(hu) %{_mandir}/hu/man[15]/*
%lang(it) %{_mandir}/it/man[15]/*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(nl) %{_mandir}/nl/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*
%lang(pt_BR) %{_mandir}/pt_BR/man[15]/*

%files -n libmagic
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libmagic.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libmagic.so.1

%files -n libmagic-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmagic.so
%{_libdir}/libmagic.la
%{_includedir}/magic.h
%{_mandir}/man3/libmagic.3*

%if %{with static_libs}
%files -n libmagic-static
%defattr(644,root,root,755)
%{_libdir}/libmagic.a
%endif

%if %{with python}
%files -n python-magic
%defattr(644,root,root,755)
%doc python/README python/example.py
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Magic_file_extensions-*.egg-info
%endif
%{py_sitescriptdir}/magic.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: file.spec,v $
Revision 1.195  2012/06/16 13:10:51  glen
- sticky bit error fix from mailinglist

Revision 1.194  2012/06/16 13:06:02  glen
- recognize node.js scripts

Revision 1.193  2012/02/23 17:58:29  qboosh
- updated to 5.11
- removed obsolete revert-weak-palm-magic patch

Revision 1.192  2012/01/16 19:19:21  pluto
- fix problems with virtualbox data files.
  http://mx.gw.com/pipermail/file/2012/000907.html

Revision 1.191  2012/01/02 15:13:37  qboosh
- restored Source1-md5 of patched non-english-man-pages (fixes pt_BR magic(5))

Revision 1.190  2011/12/31 09:37:50  arekm
- up to 5.10

Revision 1.189  2011/09/20 16:13:21  qboosh
- updated to 5.09
- removed obsolete fusecompress,dbase patches
- restored magic.mime generation (lost in rev. 1.188)
- improved magic.mime generator

Revision 1.188  2011/08/07 14:01:15  glen
- handle extra addons via file own makefiles

Revision 1.187  2011/08/07 13:51:24  glen
- drop greedy dump patch, it has no effect since r1.143 (4.24-2) as files are concat by .spec

Revision 1.186  2011/08/07 10:22:32  glen
- magic/Localstuff installed as %{_sysconfdir}/magic by automake.patch install-data-local

Revision 1.185  2011/08/05 08:24:11  glen
- up to 5.08

Revision 1.184  2011/05/26 06:49:34  glen
- ln -n for symlink

Revision 1.183  2011/05/25 17:49:49  glen
- release 3

Revision 1.182  2011/05/25 17:48:05  glen
- upload new non-english-man-pages tarball instead of patching here

Revision 1.181  2011/05/25 17:38:24  glen
- do not "migrate" already symlinked /usr/share/file

Revision 1.180  2011/05/25 17:18:57  glen
- add git fixes. should fix Zip files detection

Revision 1.179  2011/05/25 17:15:28  glen
- drop php-wsdl-cache.magic, applied upstream

Revision 1.178  2011/05/25 17:12:24  glen
- drop php-wsdl-cache.magic, applied upstream

Revision 1.177  2011/05/13 12:56:02  glen
- up to 5.07

Revision 1.176  2011/04/18 08:59:15  glen
- up to 5.06

Revision 1.175  2011/01/18 19:26:24  glen
- fix md5, older gcc fix

Revision 1.174  2011/01/18 18:56:41  glen
- up to 5.05, python bindings are now pure-python

Revision 1.173  2010/10/03 09:29:47  arekm
- rel 1

Revision 1.172  2010/08/25 07:14:47  qboosh
- removed obsolete lzma patch
- added python patch (recognize python 2.7)
- added dbase patch (workaround too weak DBase 3 entries, which covered python 2.7)
- release 0.2

Revision 1.171  2010/08/25 06:49:09  qboosh
- updated to 5.04
- updated debian patch (from 5_04-5)
- updated msdos patch
- release 0.1 (needs some testing)

Revision 1.170  2009/06/18 10:59:37  blues
- lzma patch from debian... but seems not working...

Revision 1.169  2009/06/18 10:27:11  blues
- cosmetics

Revision 1.168  2009/05/25 00:10:43  glen
- recreate link in pretrans, hopefully solves broken upgrades; rel 3

Revision 1.167  2009/05/11 06:28:39  glen
- checkout could be ambiguous

Revision 1.166  2009/05/09 18:07:26  arekm
- rel 2; let misc be dir for magic files and provide compat symlink

Revision 1.165  2009/05/08 14:34:28  witekfl
- up to 5.0.3

Revision 1.164  2009/05/06 20:07:36  megabajt
- release 2

Revision 1.163  2009/05/05 19:23:08  paszczus
- package magic and magic.mgc files

Revision 1.162  2009/05/05 19:19:25  paszczus
- updated to 5.02

Revision 1.161  2009/05/03 18:24:52  adamg
- updated to 5.01

Revision 1.160  2009/03/15 13:47:13  arekm
- up to 5.00

Revision 1.159  2009/03/14 12:22:47  hawk
- release 5

Revision 1.158  2009/03/12 14:50:55  pawelz
- removed TODO (fixed in last commit)

Revision 1.157  2009/02/02 12:20:24  pawelz
- added patch7, found in debian BTS:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502857 (thx arekm)
- file correctly classifies java class files now, so rpm autodeps generate
  correct "ClassDataVersion" dependency for java packages.
- rel 4

Revision 1.156  2008/11/18 16:56:23  arekm
- rel 3

Revision 1.155  2008/11/18 16:41:08  arekm
- url

Revision 1.154  2008/11/18 16:32:33  glen
- java class files say "data"

Revision 1.153  2008/10/14 20:35:17  megabajt
- release 2

Revision 1.152  2008/08/31 09:08:03  qboosh
- bcond desc

Revision 1.151  2008/08/30 16:03:07  sls
- rel. 1 (updated debian-patch)

Revision 1.150  2008/08/30 15:28:37  sls
- ver. 4.26 (NFY)

Revision 1.149  2008/08/30 00:50:54  arekm
- run tests

Revision 1.148  2008/07/19 22:55:54  qboosh
- added awk script to generate magic.mime from current magic database;
  package magic.mime for legacy apps

Revision 1.147  2008/07/19 20:43:01  qboosh
- updated to 4.25
- updated debian,msdos patches

Revision 1.146  2008/06/16 07:25:29  arekm
- attach Header file, too

Revision 1.145  2008/06/16 07:22:11  arekm
- rel 2

Revision 1.144  2008/05/31 12:05:40  glen
- kill other variants of backup files

Revision 1.143  2008-05-30 23:23:40  qboosh
- avoid processing *.orig patching leftovers into magic.mgc
- provide full magic file instead of just additions

Revision 1.142  2008-04-23 21:01:55  glen
- LEGAL.NOTICE was renamed to COPYING for more compliance with the GNU autoconf
  standards.

Revision 1.141  2008-04-23 20:57:13  glen
- updated to 4.24

Revision 1.140  2008-04-06 12:45:04  arekm
- rel 3; add fusecompress magic

Revision 1.139  2008-01-03 11:54:57  qboosh
- ghost soname symlink

Revision 1.138  2007-12-31 08:53:29  glen
- rel 2 (1 for ac)

Revision 1.137  2007-12-31 01:03:05  zbyniu
- up to 4.23 (includes DoS.patch)

Revision 1.136  2007-12-28 01:27:25  glen
- rel 2 (1 for ac)

Revision 1.135  2007-12-27 23:50:34  zbyniu
- up to 4.22

Revision 1.134  2007-06-01 16:21:49  qboosh
- CVE reference disclosed

Revision 1.133  2007/05/26 17:42:26  qboosh
- updated to 4.21 (fixes integer overflow [CVE-2007-2799])
- updated debian,DoS patches, removed obsolete REG_STARTEND patch

Revision 1.132  2007/05/26 17:14:41  qboosh
- unified .magic file naming

Revision 1.131  2007/04/30 19:27:51  arekm
- rel 3; one patch from upstream + disable problematic regexps instead of working around them

Revision 1.130  2007/04/20 08:37:39  zawadaa
- fix for [CVE-2007-2026]
- from AMaViS user list

Revision 1.129  2007/04/03 18:26:56  qboosh
- added CVE reference to previous changelog entry

Revision 1.128  2007/03/18 13:01:29  qboosh
- updated to 4.20 (fixes heap overflow [CVE-2007-1536])
- updated debian patch

Revision 1.127  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.125  2006/12/20 19:07:18  qboosh
- updated to 4.19
- updated debian patch, removed obsolete unicode,dicom,python-2.5,offset patches
- updated msdos patch to kill too greedy "Microsoft Installer" entry

Revision 1.124  2006/11/24 23:40:45  arekm
- rel 4

Revision 1.123  2006/11/24 23:30:57  arekm
- rel 3

Revision 1.122  2006/11/24 22:55:42  arekm
- rel 2; zero offset (workaround)

Revision 1.121  2006/11/13 21:31:04  qboosh
- python epoch, package .egg-info

Revision 1.120  2006/11/13 16:56:53  glen
- check-files cleanup

Revision 1.119  2006/11/13 15:28:43  qboosh
- updated to 4.18, updated debian,sparc patches

Revision 1.118  2006/09/26 20:11:13  wrobell
- rel. 4 due to updated python bytecode related patch

Revision 1.117  2006/08/25 16:37:59  wrobell
- detect python 2.5 byte-compiled files
- rel. 3

Revision 1.116  2006/07/25 12:14:26  qboosh
- added msdos patch (disable too greedy DOS COM/BAT entries)
- release 2

Revision 1.115  2006/03/19 11:00:06  qboosh
- updated to 4.17, updated debian patch, removed obsolete python2.4 patch

Revision 1.114  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.113  2005/10/19 11:18:38  qboosh
- updated to 4.16, removed obsolete stdin-noclose patch, updated magic patch

Revision 1.112  2005/10/18 10:47:24  qboosh
- unified

Revision 1.111  2005/09/11 10:58:45  arekm
- rel 3

Revision 1.110  2005/09/03 18:02:27  arekm
- move libmagic to /{_lib}.

Revision 1.109  2005/09/03 16:28:16  arekm
- rel 2; the lib could use stdin for data but then it closed it while it should not do that (didn't open so do not close)

Revision 1.108  2005/08/28 20:27:40  qboosh
- updated to 4.15, updated debian patch, removed obsolete ia64,4.14 patches

Revision 1.107  2005/07/19 15:56:26  qboosh
- Conflicts: rpm-build < 4.4.1-9 (new .mgc format - needs internal file update in rpm)

Revision 1.106  2005/07/18 21:21:02  qboosh
- updated to 4.14+patch1
- updated debian patch
- added temporary workaround for missing Magdir/mup file

Revision 1.105  2005/06/17 21:03:24  twittner
- added bcond_without static_libs

Revision 1.104  2005/05/22 21:33:00  saq
- greedy-dump.patch: if a file looks like both dump file and ELF, use the latter
- release 3

Revision 1.103  2005/03/30 13:57:09  qboosh
- added python2.4 patch (python 2.4 magic needed by rpm to detect python 2.4 bytecode)
- release 2

Revision 1.102  2005/02/12 14:42:37  qboosh
- updated to 4.13, updated debian patch

Revision 1.101  2005/01/09 18:43:37  saq
- missing pyreqeq, rel 2

Revision 1.100  2004/11/24 23:19:57  qboosh
- updated to 4.12, removed obsolete mime-elf,readelf-fix,segv patches
- fixed typo which disabled dicom patch

Revision 1.99  2004/11/23 20:04:20  qboosh
- added doc

Revision 1.98  2004/11/23 13:34:12  qboosh
- added segv patch

Revision 1.97  2004/11/22 22:34:52  qboosh
- updated to 4.11, updated debian patch

Revision 1.96  2004/11/02 20:00:43  adgor
- Added lmagic.patch

Revision 1.95  2004/10/12 21:35:56  mmazur
- rel 3 for th

Revision 1.94  2004/08/31 20:12:32  qboosh
- pl for python-magic

Revision 1.93  2004/08/31 12:20:31  ankry
- bcond description fix

Revision 1.92  2004/08/31 12:10:54  wiget
- added python-magic subpackage
- added dicom.patch (application/dicom magic info)
- release 2

Revision 1.91  2004/07/26 20:09:41  qboosh
- readelf-fix patch is back, it has been only partially applied :/

Revision 1.90  2004/07/26 19:40:16  undefine
- update to 1.10, remove obsolete patch 5 (readelf)

Revision 1.89  2004/04/11 20:15:08  qboosh
- updated to 4.09, updated debian patch
- dropped magic.mime file from spec (not used since long time)

Revision 1.88  2004/03/28 21:32:53  qboosh
- updated to 4.08
- updated debian (mostly obsolete) and readelf patches
- removed obsolete palm patch

Revision 1.87  2004/03/19 22:22:04  qboosh
- added readelf-fix patch: fix for ELF parsing bugs caught in rpm
- strict internal deps, release 2

Revision 1.86  2004/02/16 17:27:48  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.85  2003/12/26 00:13:20  qboosh
- updated to 4.07, manually updated debian patch

Revision 1.84  2003/10/23 19:13:35  qboosh
- up to 4.06, updated debian patch (from 4.06-1)

Revision 1.83  2003/10/12 19:00:59  qboosh
- removed obsolete am_fix patch (sgi magic file has been fixed)
- removed some junk from debian patch (chages in autogenerated files, debian
  rules etc. - except their changelog) and information that this package
  comes from Debian...
- install local magic file (supported by debian patch)

Revision 1.82  2003/10/11 20:21:41  grzegol
- updated to 4.05

Revision 1.81  2003/10/02 08:47:58  arekm
- one more fix in am_ac patch; rel3

Revision 1.80  2003/10/02 08:31:48  arekm
- this package was seriously broken in rel 1 and that's why all new nest packages have BROKEN provides; rel 2

Revision 1.79  2003/09/23 07:53:30  trojan
- updated to 4.04
- added patch fixes Makefile.am

Revision 1.78  2003/08/24 17:48:06  mmazur
- for ac: sed rel2; file rel3

Revision 1.77  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.76  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.75  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.74  2003/06/19 19:15:01  ankry
- release 2

Revision 1.73  2003/06/19 19:05:25  ankry
- merge translations from RH, rel. 1
- STBR for Ra

Revision 1.72  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.71  2003/05/30 13:29:52  qboosh
- commented URL with outdated Source3
- pt_BR manuals are back (outdated tarball was used previously)

Revision 1.70  2003/05/28 15:11:46  misi3k
- rel 0.9
- updated to 4.09
- removed outdated patches
  Note: missing manpages pt_BR ??

Revision 1.69  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.68  2003/05/25 05:47:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/04/03 07:21:39  trojan
- updated to 4.02

Revision 1.66  2003/04/02 17:17:47  misiek
- fix typo

Revision 1.65  2003/03/27 22:05:43  qboosh
- added missing pt_BR magic(5)

Revision 1.64  2003/03/27 06:57:39  misi3k
- updated to 4.01

Revision 1.63  2003/03/26 02:25:39  kloczek
- merge pt_BR man pages from Conectiva resources.

Revision 1.62  2003/03/25 23:36:10  qboosh
- pl descriptions for libmagic
- file R: libmagic
- added magic-path patch to fix paths, updated paths in spec - file works now
  (magic files were installed in /usr/share/misc, but file searched
  /usr/share/misc/file and current directory)
- WARNING: file(1) is critical command for building RPM packages, so take
  a lot of care to not break it!
- release 2 - rebuild using non-broken file (i.e. 3.x not 4.00-1)

Revision 1.61  2003/03/25 12:18:25  trojan
- updated to 4.00
- updated patches
- add libmagic package

Revision 1.60  2003/03/03 10:28:27  trojan
- updated to 3.41

Revision 1.59  2003/02/09 23:24:59  kloczek
- updated to 3.40: bug fixes,
- merge bin-zsh-magic patch from MDK,
- merge translations from MIZI.

Revision 1.58  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.57  2002/07/08 19:00:57  qboosh
- updated to 3.39
- updated ia64 patch, removed obsolete elf,mng,tfm patches

Revision 1.56  2002/05/23 20:58:32  qboosh
- sorted translations

Revision 1.55  2002/05/23 00:27:32  kloczek
- merge translations from Kondra,
- added patches:
  - palm: Pilot Image Viewer pdb files (patch from Kondra),
  - mime-elf: regiter ELF files in magic.mime file (patch from Conectiva),
  - unicode: BOM prefixed text files (Adrian Havill <havill@turbolinux.co.jp>
    (based on patch from TurboLinux),
  - mng: register mng files in mime.magick (patch from RH).

Revision 1.54  2002/05/21 23:13:01  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.53  2002/05/20 07:48:40  pioklo
- up to 3.38, STBR, remove -ac25x.patch

Revision 1.52  2002/04/25 16:18:01  arturs
- fixed a small typo

Revision 1.51  2002/04/10 22:33:36  qboosh
- added ac25x patch needed for autoconf 2.53; release 6

Revision 1.50  2002/04/10 18:40:26  kloczek
- merge translations from KSI and Conectiva.

Revision 1.49  2002/04/09 22:49:37  ankry
- added man.patch
- updated non-english-man-pages
- fixed pl summary
- release 5
- STBR

Revision 1.48  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.47  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.44  2002/01/18 02:12:56  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/15 23:15:11  qboosh
- added magic from mscompress package
- release 4

Revision 1.42  2001/11/14 22:21:17  ankry
- added de,es,fr,hu,it,ja,nl man pages
- revision 3

Revision 1.41  2001/11/14 16:09:24  ankry
- commented out manpage instalation id %_datadir ...
  (Source2 does not seem to be a proper magic.mime also)

Revision 1.40  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.39  2001/10/25 07:44:54  kloczek
- updated to 3.37.

Revision 1.38  2001/10/22 23:49:03  kloczek
- release 3.

Revision 1.37  2001/10/04 14:46:34  qboosh
- BuildRequires: autoconf, automake

Revision 1.36  2001/07/23 20:33:54  qboosh
- pl/man5/magic.5, not magick.5
- elf patch: use <stdint.h> for uint.*_t, removed --disable-elf
- release 2

Revision 1.35  2001/07/23 03:08:13  kloczek
- updated to 3.3.6,
- removed obsoleted patches,
- added --enable-fsect-man5 to autoconf parameters.

Revision 1.34  2001/07/20 03:58:46  kloczek
- fix Source2 file name.

Revision 1.33  2001/07/20 02:16:39  kloczek
- added mime.magic,
- --disable-elf added to configure parameters (even do not compiles),
- added pl man pages.

Revision 1.32  2001/07/20 01:06:13  kloczek
- updated to 3.35 (release 3),
- merge fnovfl, magic5 and elf (for revert) patches from rawhide,
- renmoved obsoleted gtktalog patch.

Revision 1.31  2001/05/07 12:59:57  baggins
- release 4
- recognize files on compressed iso9660 filesystems

Revision 1.30  2001/04/01 15:17:20  qboosh
- changed GTKtalog magic - it broke identification of many types (e.g. jpeg)
- release 3

Revision 1.29  2001/03/15 18:24:54  wiget
- typo

Revision 1.28  2001/03/15 18:20:48  wiget
- make and install compiled magic file; release 2; stb

Revision 1.27  2001/03/13 08:28:39  wiget
- 3.34

Revision 1.26  2000/11/14 03:28:35  kloczek
- updated to 3.33.

Revision 1.25  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.24  2000/08/07 14:02:51  kloczek
- updated to 3.32.

Revision 1.23  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.22  2000/05/30 19:28:26  wiget
- 3.31 and IA-64 fixes

Revision 1.21  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.20  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.18  1999/11/01 21:38:15  kloczek
- removed sparcv9 patch.

Revision 1.17  1999/11/01 21:24:29  kloczek
- updated to 3.28,
- removed file.gimp Source2 (integrated in current version),
- redefined %{_datadir} to %{_prefix}/share/misc instead using fhs patch,
- added tfm and parc patches which based on patches from rawhide,
- added using %configure macro and DESTDIR style %install.

Revision 1.16  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
